Package org.jboss.resteasy.specimpl

## Class MultivaluedMapImpl<K,​V>

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<K,​List<V>>
    - - org.jboss.resteasy.specimpl.MultivaluedMapImpl<K,​V>

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<K,​List<V>>`, `javax.ws.rs.core.MultivaluedMap<K,​V>`

      public class MultivaluedMapImpl<K,​V>
      extends HashMap<K,​List<V>>
      implements javax.ws.rs.core.MultivaluedMap<K,​V>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultivaluedMapImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(K key, V value)` |
    `void` | `addAll​(K key, List<V> valueList)` |
    `void` | `addAll​(K key, V... newValues)` |
    `void` | `addAll​(MultivaluedMapImpl<K,​V> other)` |
    `void` | `addFirst​(K key, V value)` |
    `void` | `addMultiple​(K key, Collection<V> values)` |
    `boolean` | `equalsIgnoreValueOrder​(javax.ws.rs.core.MultivaluedMap<K,​V> omap)` |
    `V` | `getFirst​(K key)` |
    `List<V>` | `getList​(K key)` |
    `void` | `putSingle​(K key, V value)` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Constructor Detail

    - #### MultivaluedMapImpl

          public MultivaluedMapImpl()

  - ### Method Detail

    - #### putSingle

          public void putSingle​(K key,
                                V value)

      Specified by:
        `putSingle` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### addAll

          public void addAll​(K key,
                             V... newValues)

      Specified by:
        `addAll` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### addAll

          public void addAll​(K key,
                             List<V> valueList)

      Specified by:
        `addAll` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### addFirst

          public void addFirst​(K key,
                               V value)

      Specified by:
        `addFirst` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### add

          public final void add​(K key,
                                V value)

      Specified by:
        `add` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### addMultiple

          public final void addMultiple​(K key,
                                        Collection<V> values)

    - #### getFirst

          public V getFirst​(K key)

      Specified by:
        `getFirst` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`

    - #### getList

          public final List<V> getList​(K key)

    - #### addAll

          public void addAll​(MultivaluedMapImpl<K,​V> other)

    - #### equalsIgnoreValueOrder

          public boolean equalsIgnoreValueOrder​(javax.ws.rs.core.MultivaluedMap<K,​V> omap)

      Specified by:
        `equalsIgnoreValueOrder` in interface `javax.ws.rs.core.MultivaluedMap<K,​V>`